corCompSymm               package:nlme               R Documentation

Compound Symmetry Correlation Structure

Description:

     This function is a constructor for the 'corCompSymm' class,
     representing a compound symmetry structure corresponding to
     uniform correlation. Objects created using this constructor must
     later be initialized using the appropriate 'Initialize' method.

Usage:

     corCompSymm(value, form, fixed)

Arguments:

   value: the correlation between any two correlated observations.
          Defaults to 0.

    form: a one sided formula of the form '~ t', or '~ t | g',
          specifying a time covariate 't' and,  optionally, a grouping
          factor 'g'. When a grouping factor is present in 'form', the
          correlation structure is assumed to apply only to
          observations within the same grouping level; observations
          with different grouping levels are assumed to be
          uncorrelated. Defaults to '~ 1', which corresponds to using
          the order of the observations in the data as a covariate, and
          no groups.

   fixed: an optional logical value indicating whether the coefficients
          should be allowed to vary in the optimization, or kept fixed
          at their initial value. Defaults to 'FALSE', in which case
          the coefficients are allowed to vary.

Value:

     an object of class 'corCompSymm', representing a compound symmetry
     correlation structure.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

References:

     Milliken, G. A. and Johnson, D. E. (1992) "Analysis of Messy Data,
     Volume I: Designed Experiments", Van Nostrand Reinhold.

See Also:

     'Initialize.corStruct'

Examples:

     ## covariate is observation order and grouping factor is Subject
     cs1 <- corCompSymm(0.5, form = ~ 1 | Subject)

